Bug 179694 - firefox segfaulted
firefox segfaulted
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: 179695 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-02-01 23:41 EST by Dave Jones
Modified: 2015-01-04 17:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-20 11:47:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-02-01 23:41:16 EST
I found a coredump in my ~ from a few days ago.

Core was generated by `/usr/lib64/firefox-1.5/firefox-bin -UILocale en-US'.
Program terminated with signal 11, Segmentation fault.


(gdb) bt
#0  0x0000003c3dd0cab9 in raise () from /lib64/libpthread.so.0
#1  0x000000000041350b in nsProfileLock::FatalSignalHandler (signo=11) at
#2  <signal handler called>
#3  0x00002b48b6211643 in PL_DHashTableOperate (table=0x59bd388,
key=0x2aaaac208890, op=PL_DHASH_ADD) at pldhash.c:492
#4  0x00002b48b621cb77 in nsBaseHashtable<nsCharPtrHashKey,
nsCOMPtr<nsISupports>, nsISupports*>::Put (this=Variable "this" is not available.
    at ../../dist/include/xpcom/nsBaseHashtable.h:145
#5  0x00002b48b621c7bf in nsProperties::Set (this=Variable "this" is not available.
) at nsProperties.cpp:77
#6  0x00002aaaac1fe631 in imgRequest::OnDataAvailable (this=0x59bd0f0,
aRequest=0x59bc6f8, ctxt=Variable "ctxt" is not available.
    at imgRequest.cpp:825
#7  0x00002b48b9f12b62 in nsStreamListenerTee::OnDataAvailable (this=0x36f2b20,
request=0x59bc6f8, context=0x0,
    input=0x59bdd00, offset=0, count=2590) at nsStreamListenerTee.cpp:97
#8  0x00002b48b9f60e33 in nsHttpChannel::OnDataAvailable (this=0x59bc6b0,
request=Variable "request" is not available.
) at nsHttpChannel.cpp:4182
#9  0x00002b48b9efc523 in nsInputStreamPump::OnStateTransfer (this=0x59bdec0) at
#10 0x00002b48b9efc607 in nsInputStreamPump::OnInputStreamReady (this=0x59bdec0,
stream=Variable "stream" is not available.
) at nsInputStreamPump.cpp:340
#11 0x00002b48b6237f11 in nsInputStreamReadyEvent::EventHandler
(plevent=Variable "plevent" is not available.
) at nsStreamUtils.cpp:119
#12 0x00002b48b624899f in PL_HandleEvent (self=0x59bdfc8) at plevent.c:688
#13 0x00002b48b6248bb1 in PL_ProcessPendingEvents (self=0x5d8790) at plevent.c:623
#14 0x00002b48b6249f7b in nsEventQueueImpl::ProcessPendingEvents (this=0x59e4c0)
at nsEventQueue.cpp:417
#15 0x00002aaaaaf1b942 in event_processor_callback (source=Variable "source" is
not available.
) at nsAppShell.cpp:67
#16 0x0000003cdc224e91 in g_main_context_dispatch () from
#17 0x0000003cdc227cad in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#18 0x0000003cdc227ffe in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#19 0x000000367ce0bf55 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#20 0x00002aaaaaf1bc72 in nsAppShell::Run (this=0x6c1c50) at nsAppShell.cpp:139
#21 0x00002aaaab391464 in nsAppStartup::Run (this=0x6c1bd0) at nsAppStartup.cpp:150
#22 0x000000000040b20b in XRE_main (argc=Variable "argc" is not available.
) at nsAppRunner.cpp:2313
#23 0x0000003c3b91cde4 in __libc_start_main () from /lib64/libc.so.6
#24 0x0000000000406b29 in _start ()
#25 0x00007fffff9f1088 in ?? ()
#26 0x0000000000000000 in ?? ()
Comment 1 Sammy 2006-02-02 15:36:44 EST
Have not seen this with latest rawhide EXCEPT Test2 kernel with patch.
I am on dual-core x86_64.
Comment 2 Matthias Clasen 2006-02-06 11:05:09 EST
*** Bug 179695 has been marked as a duplicate of this bug. ***
Comment 3 Matěj Cepl 2007-12-20 11:47:34 EST
We just updated the Firefox version in Fedora/development from 2.0 to a 3.0
pre-release version, which improves performance, memory usage, and fixes many
bugs and crashes.

Closing as CANTFIX since we aren't fixing bugs filed against 2.0 now that 3.0 is
in.  If this bug is still present in rawhide using a Firefox 3.0 version, please
re-open this bug.

Thanks and Happy Holidays

Note You need to log in before you can comment on or make changes to this bug.